## Add Transcript **post** `/v1/streams/{namespace}/transcripts` Ingest a single transcript segment for a livestream using a relative timestamp in milliseconds. The stream does not need to be created beforehand. Transcript timestamps are relative milliseconds from stream start and should be monotonically increasing within a stream so transcript context lines up correctly with later frames. This method returns immediately after the transcript has been accepted for processing. ### Path Parameters - `namespace: string` The namespace to ingest stream data into ### Body Parameters - `stream_id: string` - `text: string` - `timestamp: number` ### Returns - `requestId: string` - `status: "accepted"` - `"accepted"` ### Example ```http curl https://api.safetykit.com/v1/streams/$NAMESPACE/transcripts \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $SAFETYKIT_API_KEY" \ -d '{ "stream_id": "YOUR_STREAM_ID", "text": "This is an example transcript segment.", "timestamp": 5000 }' ```